Get user orders (V4 — amounts carry USD).
Authorization
api_key AuthorizationBearer <token>
In: header
Path Parameters
user_address*string
User address
Query Parameters
cursor?string
Cursor used to fetch the next page, obtained from the response's next_cursor.
limit?integer
Number of orders to request
Range
1 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/v4/get-orders/string"{ "nextCursor": "string", "orders": [ { "depositAddress": "string", "dstInfo": { "amount": "string", "chain": "string", "token": "string", "usd": "string" }, "estimatedTimeInSecs": 0, "id": "string", "srcInfo": { "amount": "string", "chain": "string", "token": "string", "txHash": "string", "usd": "string" }, "status": { "inProgress": { "pending_btc_payment": null, "refund_tx": null } }, "timestamp": 0 } ]}